SDL_HasClipboardText(3)

NAME
SDL_HasClipboardText - Query whether the clipboard exists and contains a non-empty text string.

SYNOPSIS
#include <SDL3/SDL_clipboard.h>

bool SDL_HasClipboardText(void);

RETURN VALUE
Returns true if the clipboard has text, or false if it does not.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetClipboardText(3), SDL_SetClipboardText(3)